For the complete documentation index, see llms.txt. This page is also available as Markdown.

Jwt

Generate JWT Token

post

All fields are optional, any missing fields will be excluded expect for "file" which will always begin with your vhost

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

Body
expintegerOptionalExample: 1300819380
filestringOptionalExample: /some/path/
ipstringOptionalExample: 203.0.113.0
nbfintegerOptionalExample: 1300819380
Responses
200

OK

application/json
expintegerOptionalExample: 1300819380
filestringOptionalExample: /some/path/
iatintegerOptionalExample: 1300819380
ipstringOptionalExample: 203.0.113.0
issstringOptionalExample: cdn.i3d.net
nbfintegerOptionalExample: 1300819380
substringOptionalExample: k13423
tokenstringOptional
tokenSHA256HashstringOptional
post/service/{serviceId}/jwt
POST /api/service/{serviceId}/jwt HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 75

{
  "exp": 1300819380,
  "file": "/some/path/",
  "ip": "203.0.113.0",
  "nbf": 1300819380
}
{
  "exp": 1300819380,
  "file": "/some/path/",
  "iat": 1300819380,
  "ip": "203.0.113.0",
  "iss": "cdn.i3d.net",
  "nbf": 1300819380,
  "sub": "k13423",
  "token": "text",
  "tokenSHA256Hash": "text"
}

Verify JWT Token

get

Verify that a JWT token is valid and signed

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

tokenanyRequired

JWT Token

Responses
201

Created

application/json
tokenstringOptional
validbooleanOptionalExample: true
get/service/{serviceId}/jwt/{token}
GET /api/service/{serviceId}/jwt/{token} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "claims": {
    "exp": 1300819380,
    "file": "/some/path/",
    "iat": 1300819380,
    "ip": "203.0.113.0",
    "iss": "cdn.i3d.net",
    "nbf": 1300819380,
    "sub": "k13423"
  },
  "token": "text",
  "valid": true
}

Last updated

Was this helpful?